ros-rolling-ament-cmake-gtest (2.8.4-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 01 Jul 2025 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.8.3-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 19 Jun 2025 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.8.2-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 04 Jun 2025 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.8.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 20 May 2025 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.8.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 24 Apr 2025 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.7.3-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.7.2-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 19 Nov 2024 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.7.1-1noble) noble; urgency=high

  * set search path args and then append (#543 <https://github.com/ament/ament_cmake/issues/543>)
  * Contributors: Will

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 03 Oct 2024 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.7.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.6.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.6.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.5.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.4.0-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#503 <https://github.com/ament/ament_cmake/issues/503>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.3.2-1noble) noble; urgency=high

  * Split ament_add_gmock into _executable and _test. (#497 <https://github.com/ament/ament_cmake/issues/497>)
  * ament_add_gtest_test: add TEST_NAME parameter (#492 <https://github.com/ament/ament_cmake/issues/492>)
  * Contributors: Chris Lalancette, Christopher Wecht

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.3.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.3.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.2.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.2.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 21 Jun 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.2.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.1.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 26 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.0.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.0.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (2.0.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.5.3-1noble) noble; urgency=high

  * Fix compiler warnings related to gtest/gmock (#408 <https://github.com/ament/ament_cmake/issues/408>)
    * Suppress compiler warnings when building gmock
    definition of implicit copy constructor ... is deprecated because it has a user-declared copy assignment operator [-Wdeprecated-copy]
    * Declare gtest/gmock include dirs as SYSTEM PRIVATE for test targets
  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash, Robert Haschke

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.5.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.5.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.5.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 11 Jul 2022 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.4.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.3.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.3.0-1noble) noble; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.2.1-1noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.2.0-1noble) noble; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.1.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.1.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Mar 2021 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.1.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 22:59:00 -0000

ros-rolling-ament-cmake-gtest (1.1.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 19:12:00 -0000

ros-rolling-ament-cmake-gtest (1.1.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Feb 2021 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.0.4-1noble) noble; urgency=high

  * Disable gtest warning when building in Release (#298 <https://github.com/ament/ament_cmake/issues/298>)
    https://github.com/google/googletest/issues/1303
  * Contributors: Victor Lopez

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.0.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.0.2-1noble) noble; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Dec 2020 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.0.1-1noble) noble; urgency=high

  * [ament_cmake_gtest] ensure gtest to consume the correct headers. (#267 <https://github.com/ament/ament_cmake/issues/267>)
    * ensure gtest to consume the correct headers.
    * add another patch.
  * Contributors: Sean Yen

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Sep 2020 00:00:00 -0000

ros-rolling-ament-cmake-gtest (1.0.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 22 Jul 2020 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.9.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.9.5-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.9.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.9.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 19 May 2020 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.9.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.9.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 15:45:00 -0000

ros-rolling-ament-cmake-gtest (0.9.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 12:25:00 -0000

ros-rolling-ament-cmake-gtest (0.8.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.8.0-1noble) noble; urgency=high

  * Revert "Add gtest and gmock headers as system headers: (#175 <https://github.com/ament/ament_cmake/issues/175>)" (#184 <https://github.com/ament/ament_cmake/issues/184>)
    This reverts commit e1ff1c1a0a1e08d43e939cdb943a88be601808bd.
  * Add gtest and gmock headers as system headers: (#175 <https://github.com/ament/ament_cmake/issues/175>)
    Certain gtest and gmock header files contain constructs
    which generate warnings when certain compile flags are
    enabled. By including the header files as system headers,
    the compiler knows that it doesn't need to generate these
    warnings since they are coming from (third-party) system
    headers
  * Add runner option to ament_add_test (#174 <https://github.com/ament/ament_cmake/issues/174>)
    * ament_cmake allow speficiation of a different test runner
    - By default, still uses run_test.py
    - Example use case: ament_cmake_ros can use a test runner that sets a ROS_DOMAIN_ID
    * ament_cmake move run_test.py to a python module
    - This should let us see the history
    * ament_cmake refactor run_test.py into an importable python module
    - Adds an ament_cmake_test python package
  * Contributors: Peter Baughman, Shane Loretz, jpsamper2009

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.7.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.7.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.7.1-1noble) noble; urgency=high

  * Fix unused-arg check in ament_cmake packages: (#167 <https://github.com/ament/ament_cmake/issues/167>)
    Arguments to a macro are not variables, so it's not
    possible to do 'if(ARGN)' to check for arguments;
    however, copying ARGN to a variable works.
  * Contributors: jpsamper2009

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 07 May 2019 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.7.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 08 Apr 2019 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.6.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Nov 2018 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.5.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.5.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 13 Jun 2018 00:00:00 -0000

ros-rolling-ament-cmake-gtest (0.4.0-1noble) noble; urgency=high

  * 0.0.3
  * Merge pull request #104 <https://github.com/ament/ament_cmake/issues/104> from ament/googletest
    update to googletest 1.8
  * update to googletest 1.8
  * 0.0.2
  * Merge pull request #86 <https://github.com/ament/ament_cmake/issues/86> from ament/remove_include
    remove unnecessary include
  * remove unnecessary include
  * Merge pull request #85 <https://github.com/ament/ament_cmake/issues/85> from ament/split_gtest_function
    Split ament_add_gtest function
  * refactor ament_add_gtest to be composed out of two separate functions to create the executable and register it as a test
  * duplicate ament_add_gtest.cmake before refactoring it
  * add missing doc for SKIP_TEST
  * Merge pull request #82 <https://github.com/ament/ament_cmake/issues/82> from firesurfer/master
    Fixed rebasing error, fixed indentation, looking for pthread on non w…
  * removed GTEST argument form target_link_libraries
  * Fixed rebasing error, fixed indentation, looking for pthread on non windows systems
  * Skipped tests (#80 <https://github.com/ament/ament_cmake/issues/80>)
    * support skipping tests
    * add SKIP_TEST to ament_add_nose_test
    * use keyword args not positional
    * discard positional args after first
  * update schema url
  * add schema to manifest files
  * Merge pull request #72 <https://github.com/ament/ament_cmake/issues/72> from ament/cmake35
    require CMake 3.5
  * remove trailing spaces from comparisons, obsolete quotes and explicit variable expansion
  * remove obsolete policies
  * require CMake 3.5
  * Merge pull request #54 <https://github.com/ament/ament_cmake/issues/54> from ament/test_working_dir
    support WORKING_DIRECTORY in ament_add_nose_test
  * fix WORKING_DIRECTORY for ament_add_gtest/gmock
  * follow fixes from #52 <https://github.com/ament/ament_cmake/issues/52>
  * Merge pull request #52 <https://github.com/ament/ament_cmake/issues/52> from ament/add_test_append_env_option
    add APPEND_ENV and APPEND_LIBRARY_DIRS options to ament_add_*test macros
  * add APPEND_ENV and APPEND_LIBRARY_DIRS options to ament_add_*test macros
  * Merge pull request #50 <https://github.com/ament/ament_cmake/issues/50> from ament/pass_extra_env_to_tests
    add option to pass extra env to ament_add_*test
  * addressing comments
  * add option to pass extra env to ament_add_*test
  * Merge pull request #37 <https://github.com/ament/ament_cmake/issues/37> from ament/test_labels
    add labels to tests
  * add labels to tests
  * Merge pull request #34 <https://github.com/ament/ament_cmake/issues/34> from ament/prevent_gtest_in_cache
    refactor finding GTest / GMock
  * refactor finding GTest / GMock
  * Merge pull request #29 <https://github.com/ament/ament_cmake/issues/29> from ament/suppress_cmp0026
    set cmp0026 to OLD until we can migrate to use $<TARGET_FILE:...>
  * update comment and set the policy in two other places
  * Merge pull request #28 <https://github.com/ament/ament_cmake/issues/28> from ament/gtest_location
    fix location of gtest / gmock executables on Windows
  * add type as extension to test result files
  * fix location of gtest executable on Windows
  * Merge pull request #25 <https://github.com/ament/ament_cmake/issues/25> from ament/use_gmock_vendor
    optionally use gmock_vendor
  * optionally use gtest/gmock_vendor
  * Merge pull request #18 <https://github.com/ament/ament_cmake/issues/18> from ament/gtest_docs
    adding basic usage to description
  * adding basic usage documentation
  * Merge pull request #19 <https://github.com/ament/ament_cmake/issues/19> from ament/improve_test_runner
    improve test runner
  * improve test runner
  * add note that gtest target might not be created
  * fix linking of gtest libraries (regression of #16 <https://github.com/ament/ament_cmake/issues/16>)
  * Merge pull request #16 <https://github.com/ament/ament_cmake/issues/16> from ament/gtest_main_libraries
    automatically link gtest main libraries and add an option to skip it
  * automatically link gtest main libraries and add an option to skip it
  * add explicit build type
  * disable debug output
  * add missing copyright / license information, update format of existing license information
  * update quoting of additional ament_add_test() arguments
  * use project(.. NONE)
  * refactor several low-level packages into ament_cmake_core (environment, environment_hooks, index, package_templates, symlink_install)
  * invert dependency between ament_cmake_environment and ament_cmake_environment_hooks, add dependency on ament_cmake_environment
  * deal with CMake double expansion
  * update cmake code style
  * add ament_cmake_gmock
  * add ament_cmake_environment_hooks
  * tests are always built when being enabled
  * add ament_cmake_test, ament_cmake_gtest, ament_cmake_nose
  * Contributors: Dirk Thomas, Lennart Nachtigall, Mikael Arguedas, Tully Foote, William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000


